<div class="main-container" [class.isempty]="(courses$ | async)?.length == 0 || (courses$ | async)?.length == 1">

  <h3 style=" font-family: 'Sansita', cursive;" *ngIf="!(courses$ | async) || (courses$ | async)?.length == 0">Pas de cours disponibles</h3>

    <div *ngIf="courses$ | async as courses" class="total">
  
    </div>
  
    <div class="hr-visible" *ngFor="let course of courses$ | async">
      <hr>
      <div class="cart-item-container">
        <div class="card mb-3 custom-card-container" style="max-width: 540px;">
          <div class="row g-0">
            <div class="col-md-4">
              <img src="../../../../../{{course.thumbnailLocation}}" class="img-fluid rounded-start" alt="...">
            </div>
            <div class="col-md-8">
              <div class="card-body">
                <h5 class="card-title">{{course.name}}</h5>
                <p class="card-text">{{course.description}}</p>
                <!-- <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p> -->
              </div>
            </div>
          </div>
        </div>
  
      <!--   <div class="action">
          <p (click)="removeArticle(course, courses)" class="remove">Supprimer</p>
        </div> -->
  
  
      </div>
    </div>
    <!-- Button trigger modal -->
  
  </div>
